import { ExtensionType } from '../../../extensions/Extensions';
import type { Geometry } from '../../renderers/shared/geometry/Geometry';
import type { Batch } from '../shared/Batcher';
import type { BatcherAdaptor, BatcherPipe } from '../shared/BatcherPipe';
export declare class GlBatchAdaptor implements BatcherAdaptor {
    /** @ignore */
    static extension: {
        readonly type: readonly [ExtensionType.WebGLPipesAdaptor];
        readonly name: "batch";
    };
    private _shader;
    private _didUpload;
    private readonly _tempState;
    init(): void;
    start(batchPipe: BatcherPipe, geometry: Geometry): void;
    execute(batchPipe: BatcherPipe, batch: Batch): void;
    destroy(): void;
}
